Package org.opensaml.saml.metadata.resolver.filter

# Class MetadataFilterContext

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<T>
net.shibboleth.shared.collection.ClassIndexedSet<MetadataFilterContext.Data>
org.opensaml.saml.metadata.resolver.filter.MetadataFilterContext

All Implemented Interfaces:
  `Iterable<MetadataFilterContext.Data>`, `Collection<MetadataFilterContext.Data>`, `Set<MetadataFilterContext.Data>`

public class MetadataFilterContext extends ClassIndexedSet<MetadataFilterContext.Data>
Class used to provide contextual information at runtime to `MetadataFilter` implementations.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`MetadataFilterContext.Data`
Marker interface for data classes to be used with `MetadataFilterContext`.

## Nested classes/interfaces inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`ClassIndexedSet.ClassIndexedSetIterator`

## Constructor Summary

Constructors
Constructor
Description
`MetadataFilterContext()`

## Method Summary

### Methods inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`add, add, clear, contains, equals, get, getIndexClass, hashCode, iterator, remove, size, toString`

### Methods inherited from class java.util.AbstractSet

`removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, contains, containsAll, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

## Constructor Details

### MetadataFilterContext

public MetadataFilterContext()